#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,c,d;
    scanf("%d%d%d%d",&a,&b,&c,&d);
    if(a==c && b==d){
        printf("nijedan");
    }
    else if(c<a && b==d){
        printf("prvi");
    }
    else if(a==c && d<b){
        printf("drugi");
    }
    else{
        printf("?");
    }
    return 0;
}